Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
peripheral::GatewaySensorManager::InterpretationRuleRAW Struct Reference

InterpretationRuleRAW is applied after swap, but before masking (because it has it's own mask) More...

Inheritance diagram for peripheral::GatewaySensorManager::InterpretationRuleRAW:

## Public Attributes
long | value
| compare to value
long | mask
| (0 = not masked, the same as 0xFFFF...)
Public Attributes inherited from peripheral::GatewaySensorManager::InterpretationRuleInvertable
boolean | invertCondition
| negate rule condition
Public Attributes inherited from peripheral::GatewaySensorManager::InterpretationRule
Interpretation | interpretation
| how to interpret the applied rule
int | ignoreTimeout
| if > 0, ignoring stops after this timeout (seconds), and state changes to unavailable

## Detailed Description

InterpretationRuleRAW is applied after swap, but before masking (because it has it's own mask)

Definition at line 460 of file GatewaySensorManager.idl.

## Member Data Documentation

## ◆ mask

long peripheral::GatewaySensorManager::InterpretationRuleRAW::mask

(0 = not masked, the same as 0xFFFF...)

Definition at line 462 of file GatewaySensorManager.idl.

## ◆ value

long peripheral::GatewaySensorManager::InterpretationRuleRAW::value

compare to value

Definition at line 461 of file GatewaySensorManager.idl.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl